	INTEGER FUNCTION myFunction1()
	IMPLICIT NONE

	INTEGER :: i

	myFunction1 = i
	i = i + 1
	RETURN

	END FUNCTION

! ================================================================

	INTEGER FUNCTION myFunction2()
	IMPLICIT NONE

	INTEGER :: i

	myFunction2 = i
	i = i + 1
	RETURN

	END FUNCTION

! ================================================================

	PROGRAM internal
	IMPLICIT NONE

	interface
	  function myFunction1()
	    integer myFunction1
	  end function

	  function myFunction2()
	    integer myFunction2
	  end function
	end interface
  

	PRINT *, myFunction1()
	PRINT *, myFunction1()
	PRINT *, myFunction1()
	PRINT *, myFunction1()

	PRINT *, myFunction2()
	PRINT *, myFunction2()
	PRINT *, myFunction2()
	PRINT *, myFunction2()

	END
	
